Skip to main content

List managed organizations

GET 

/organizations/organization/managed

List all managed organizations owned by the given organization

Scopes​

  • managed_organizations

OAuth2 Scopes​

When using OAuth2 authentication, scopes are prefixed with api.katapult.io/core/v1/.

Request​

Query Parameters

    organization[id] string

    All 'organization[]' params are mutually exclusive, only one can be provided.

    organization[sub_domain] string

    All 'organization[]' params are mutually exclusive, only one can be provided.

    annotations[][key] string[]

    An array of annotations to filter by.

    All annotations[] params should have the same amount of elements.

    annotations[][value] string[]

    An array of annotations to filter by.

    All annotations[] params should have the same amount of elements.

    page integer

    Possible values: >= 1

    Default value: 1

    The page number to request. If not provided, the first page will be returned.

    per_page integer

    Possible values: >= 1

    Default value: 30

    The number of items to return per page. If not provided, the default value will be used.

Responses​

List all managed organizations owned by the given organization

Schema

    pagination

    object

    required

    current_page integer

    The current page

    total_pages integernullable

    The total number of pages

    total integernullable

    The total number of items across all pages

    per_page integer

    The number of items per page

    large_set boolean

    Is this a large set and therefore the total number of records cannot be returned?

    organizations

    object[]

    required

  • Array [

  • id string
    name string
    sub_domain string
    infrastructure_domain string
    created_at integer
    managed boolean
  • ]

Loading...